Closed Bug 990166 Opened 10 years ago Closed 10 years ago

Upgrade Android Support Library to 19.1.0

Categories

(Infrastructure & Operations Graveyard :: CIDuty, task)

All
Android
task
Not set
normal

Tracking

(Not tracked)

RESOLVED INCOMPLETE

People

(Reporter: jdover, Assigned: tbsaunde)

References

()

Details

We are planning to use some APIs only available in the newest version (19.1.0) of Android Support Library: http://developer.android.com/tools/support-library/index.html and will need the release servers to have this version.
Blocks: 850600
Blocks: 990161
Is there a reason that we don't use the v7 support library instead of v4? Our minSdk is r8, so we should be compatible with the v7 library. Are we trying to unofficially support r4+ versions?
Yes, they are actually very different. There are a few v7 libraries, but they only contain a few features:

- v7-appcompat includes the ActionBar
- v7-gridlayout includes GridLayout
- etc... see more here http://developer.android.com/tools/support-library/features.html

tl;dr: v4 and v7 (and v8 and v13 for that matter) don't contain the same classes. Only v4 has the features we need, (ie SwipeRefreshLayout).
OS: Mac OS X → Android
Hardware: x86 → All
Per IRC chat, Trev has graciously offered to work on this, (since he also did the recent android SDK)

We'll likely do this by just updating the SDK we're using. Trev is aware of the desire for completion earlier (due to intern leaving)
Assignee: nobody → trev.saunders
Pending the review of [1], we will not need this upgrade as quickly or at all.

[1] https://bugzilla.mozilla.org/attachment.cgi?id=8406321&action=edit
Because we are lifting the source for SwipeRefreshLayout, we do not need this anymore.
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → WONTFIX
We'll probably want this at some point.
Resolution: WONTFIX → INCOMPLETE
Component: Platform Support → Buildduty
Product: Release Engineering → Infrastructure & Operations
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.